package meerkat.voting.controller.commands;

import meerkat.protobuf.Voting.*;

/**
 * This command is not a part of the normal flow of the controller.
 * It asks the controller to handle (report to voter) some error message
 */
public class ReportErrorCommand extends ControllerCommand {
    private final UIElement errorMessage;

    public ReportErrorCommand(int requestIdentifier, long ballotSerialNumber, UIElement errorMessage) {
        super(requestIdentifier, ballotSerialNumber);
        this.errorMessage = errorMessage;
    }

    public UIElement getErrorMessage() {
        return errorMessage;
    }
}
